<ng-container *ngIf="!dataLoading">
  <ecl-page-header
    class="header__wrapper ecl-u-mb-xl"
    [ngClass]="{ 'ecl-u-pb-xl': !evidenceDetail || evidenceDetail.localTitle.length === 0 }">
    <div *ngIf="countryLabel" class="header__country-container ecl-u-mb-xs ecl-u-pt-s">
      <ecl-icon
        iconSet="flag"
        [icon]="countryLabel.toLowerCase() === 'czech republic' ? 'czech-republic' : countryLabel.toLowerCase()"
        size="m" />
      <span class="header__country-label">{{ countryLabel }}</span>
    </div>
    <h1 eclPageHeaderTitle class="ecl-u-mb-l ecl-u-pt-none ecl-u-type-heading-3">{{ pageTitle | translate }}</h1>
    <div *ngIf="evidenceDetail?.description" eclPageHeaderDescriptionContainer class="ecl-u-mb-l ecl-u-pv-none">
      <p eclPageHeaderDescription class="header__description">
        {{ evidenceDetail.description }}
      </p>
    </div>
    <div *ngIf="evidenceDetail?.localTitle.length > 0" class="header__local">
      <span class="header__local-title ecl-u-type-bold">{{ 'evidences-page.detail.evidence-types.languages-title' | translate }}</span>
      <div class="header__local-language-container" *ngFor="let localName of evidenceDetail.localTitle">
        <span class="header__local-language-code">{{ getLocalName(localName, 'code') }}</span>
        <span class="header__local-language-name">{{ getLocalName(localName, 'title') }}</span>
      </div>
    </div>
  </ecl-page-header>
  <div class="ecl-container">
    <div *ngIf="!errorState" class="tables__container">
      <app-table
        [tableData]="providersTableData"
        [tableConfig]="providersTableConfig"
        [isMobile]="isMobile"
        (linkClick)="onLinkClickHandler('providers', $event)"></app-table>
      <app-table
        [tableData]="requirementsTableData"
        [tableConfig]="requirementsTableConfig"
        [isMobile]="isMobile"
        (linkClick)="onLinkClickHandler('requirements', $event)"></app-table>
    </div>
    <div *ngIf="errorState && !dataLoading">
      <app-message-box [title]="errorMessage.title" [description]="errorMessage.description" [state]="errorMessage.state"></app-message-box>
    </div>
  </div>
</ng-container>

<div *ngIf="dataLoading" class="spinner-container ecl-u-mv-4xl">
  <ecl-loading-indicator>
    <div eclSpinnerLabel>
      {{ 'common.spinner.label' | translate }}
    </div>
  </ecl-loading-indicator>
</div>
